var mongoose = require('mongoose');

var customerSchema = new mongoose.Schema({
  customerNumber: { type: String, required: true, unique: true, trim: true },
  firstName: { type: String, required: true, trim: true },
  lastName: { type: String, required: true, trim: true },
  telephone: { type: String, required: true, trim: true },
  address: { type: String, required: true, trim: true },
}, { timestamps: true });

module.exports = mongoose.model('Customer', customerSchema);
